System Requirements

Avast Business

Hub

Browsers (latest versions recommended):

  • Google Chrome
  • Firefox
  • Safari
  • Microsoft Edge

On-Premise Console

Windows:

  • 11, 10, 8.x, 7 SP1 — x64, x86
  • Server 2022, 2019, 2016, 2012, 2008 R2 SP1 — any edition — x64
  • Small Business Server 2011, 2008 — x64
  • Exchange Server 2022, 2019, 2016, 2013, 2010, 2007 — x64
  • Exchange Server 2003 (up to Antivirus version 18.8) — x86
  • SharePoint Server 2019, 2016, 2012, 2010, 2007, 2003 — x64

Mac or Linux (Docker):

  • Any MacOS that can run Docker, prefer MacOS 10.10 or newer
  • Any Linux OS that can run Docker, prefer CentOS 7
  • Docker Engine 1.10.0 or higher
  • Docker Compose 1.6.0 or higher

CloudCare

Browsers (latest versions recommended):

  • Google Chrome
  • Firefox
  • Safari
  • Microsoft Edge

Antivirus Client:

Windows:

  • 10 — all versions except Mobile and IoT Core Edition — x64, x86
  • 8/8.1 — all versions except RT and Starter Edition — x64, x86
  • 7 SP1 — requires KB3033929 — x64, x86
  • Server 2012, 2016, 2019 — any edition with latest service pack excluding Server Core — x64
  • Server 2008 R2 — requires KB3033929 — x64
  • Small Business Server 2003, 2011 — x64

Mac:

  • MacOS 10.11 (El Capitan or later with at least 500MB free disk space)

Open Source used in CloudCare Agent:

  • Open SSL: http://www.openssl.org/
  • TinyXML: www.grinninglizard.com/tinyxml/
  • Gloox: http://camaya.net/gloox/
  • Zlib: http://www.zlib.net/
  • SQLite: http://www.sqlite.org/
  • Libcurl: https://curl.haxx.se/libcurl/
  • C-ares: https://c-ares.haxx.se/

Antivirus Endpoints (Managed or Unmanaged)

Windows:

  • 11 — x64, x86
  • 10 — all versions except Mobile and IoT Core Edition — x64, x86
  • 8/8.1 — all versions except RT and Starter Edition — x64, x86
  • 7 SP1 — requires KB3033929 — x64, x86
  • Server 2022, 2019, 2016, 2012 — any edition with latest service pack excluding Server Core — x64
  • Server 2008 R2 — requires KB3033929 — x64
  • Small Business Server 2011 — x64
  • Microsoft Exchange Server 2022, 2019, 2016, 2013, 2010 SP2 — x64
  • Microsoft SharePoint Server 2010/SharePoint Services 3.0 and higher

Mac:

  • MacOS 10.11 (El Capitan or later with at least 500MB free disk space), prefer 11.x Big Sur or later

Linux:

  • CentOS 7 and above
  • Debian 8 and above
  • Red Hat Enterprise Linux 7.4 and above
  • Ubuntu LTS 16.04 and above

Small Office Protection Endpoints

Windows:

  • 11 — x64, x86
  • 10 — all versions except Mobile and IoT Core Edition — x64, x86
  • 8/8.1 — all versions except RT and Starter Edition — x64, x86
  • 7 SP1 — requires KB3033929 — x64, x86

Mac:

  • MacOS 10.11 (El Capitan or later with at least 500MB free disk space)

Android:

  • Android 4.1 (Jelly Bean) or higher

iPhone/iPod touch:

  • iOS 12.0 or higher

iPad:

  • iPadOS 12.0 or higher

AVG Business

AVG Business Cloud Console

Browsers (latest versions recommended):

  • Google Chrome
  • Firefox
  • Safari
  • Microsoft Edge
  • Internet Explorer

AVG Business On-Premise Console

Windows:

  • 11, 10, 8.x, 7 SP1 — x64, x86
  • Server 2022, 2019, 2016, 2012, 2008 R2 SP1 — any edition — x64
  • Small Business Server 2011, 2008 — x64
  • Exchange Server 2022, 2019, 2016, 2013, 2010, 2007 — x64
  • Exchange Server 2003 (up to Antivirus version 18.8) — x86
  • SharePoint Server 2019, 2016, 2012, 2010, 2007, 2003 — x64

Antivirus Endpoints (Managed or Unmanaged)

Windows:

  • 11 — x64, x86
  • 10 — all versions except Mobile and IoT Core Edition — x64, x86
  • 8/8.1 — all versions except RT and Starter Edition — x64, x86
  • 7 SP1 — requires KB3033929 — x64, x86
  • Server 2022, 2019, 2016, 2012 — any edition with latest service pack excluding Server Core — x64
  • Server 2008 R2 — requires KB3033929 — x64
  • Small Business Server 2011 — x64
  • Microsoft Exchange Server 2022, 2019, 2016, 2013, 2010 SP2 — x64
  • Microsoft SharePoint Server 2010/SharePoint Services 3.0 and higher

Other Services

Patch Management (Avast and AVG)

Windows Only:

  • 10, 8.x, 7 SP1requires KB3033929 — x64, x86
  • Server 2019, 2016, 2012 — any edition with latest Service Pack excluding Server Core — x64
  • Server 2008 R2requires KB3033929 — x64
  • Exchange Server 2016, 2013, 2010 SP2 — x64

Preparing your devices for Patch Management

Windows Update: we recommend you change Windows Update settings for your devices via the Windows Update Center and/or Group Policy. We have provided our recommended settings in Recommended Windows Update Configuration for Patch Management. The recommendations are the same for Avast and AVG consoles.

Software Updater: older versions of the Cloud Console and CloudCare provided a Software Updater component that performed some of the same functions as Patch Management. Ensure Software Updater is disabled/uninstalled for devices.

Local System account: patches are deployed under the remote machine's Local System account, so you need to ensure deployment will be allowed by that account.

Hard Drive space: a minimum of 2GB hard drive space should be free to store patches. If you are using a Master Agent/Local Update Agent, that device should have a minimum of 5GB hard drive space.

Servers vs Workstations: If you plan to use different Patch Management settings for your server devices and workstations, you should place your servers into a separate policy. If you only want to update the Windows Server operating system then you should exclude all 3rd party vendors from the Excludes list to make sure that only Windows updates are being provided.

Cloud Backup (Avast only, Hub and CloudCare)

Windows Only:

  • 10 — all versions except Mobile and IoT Core Edition — x64, x86
  • 8/8.1 — all versions except RT and Starter Edition — x64, x86
  • 7 SP1 — requires KB3033929 — x64, x86
  • Server 2012, 2016, 2019 — any edition with latest service pack excluding Server Core — x64
  • Server 2008 R2 — requires KB3033929 — x64
  • Small Business Server 2011, 2008 — x64
  • Microsoft Exchange Server 2019, 2016, 2013, 2010 SP2 — x64

Other Articles In This Section:

Firewall Requirements